#include <bits/stdc++.h>

#define ll long long
#define ld long double
#define endl "\n"

using namespace std;

void solve()
{
    int n; cin >> n;

    vector<pair<int,double>> v(n);
    for(auto& x:v) cin >> x.first >> x.second;

    sort(v.begin(), v.end(), [](auto x, auto y)->bool {return x.second>y.second;});

    double curSum=0, ans=0;

    for(auto x:v) {
        curSum+=x.first;
        ans=max(ans,x.second*curSum/100);
    }

    cout << fixed << showpoint << setprecision(4) << ans << endl;
}

int main()
{
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int t=1; //cin >> t;
    while(t--)
        solve();

    return 0;
}